Package com.io7m.coffeepick.api

# Enum CoffeePickEventType.Severity

java.lang.Object
java.lang.Enum<CoffeePickEventType.Severity>
com.io7m.coffeepick.api.CoffeePickEventType.Severity

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<CoffeePickEventType.Severity>`, `java.lang.constant.Constable`

Enclosing interface:
  CoffeePickEventType

    public static enum CoffeePickEventType.Severity
    extends java.lang.Enum<CoffeePickEventType.Severity>

The severity of the event.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ERROR` | Error events.
  `INFO` | Informative events.
  `WARNING` | Warning events.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static CoffeePickEventType.Severity` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static CoffeePickEventType.Severity[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### INFO

    public static final CoffeePickEventType.Severity INFO
    Informative events.

  - ### WARNING

    public static final CoffeePickEventType.Severity WARNING
    Warning events.

  - ### ERROR

    public static final CoffeePickEventType.Severity ERROR
    Error events.

- ## Method Details

  - ### values

    public static CoffeePickEventType.Severity[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static CoffeePickEventType.Severity valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null